<!DOCTYPE <!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Image Grid</title>
    <link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<style>
    
    *{
        box-sizing: border-box;
    }

    body{
        margin: 0px;
        font-family: 'Dancing Script', cursive;
    }

    .heading{
        text-align: center;
        font-family: 'Dancing Script', cursive;

        font-size: 1rem;
        color:  blue;
    }
    .row{
        
        display: flex;
        flex-wrap: wrap;
        padding: 4px;
    }
    .column{
        flex: 25%;
        max-width: 25%;
        padding: 4px;
    }
    .column img{
        margin-top: 8px;
        vertical-align: middle;
    }

    @media screen and (max-width: 800px){
        .column{
            flex: 50%;
            max-width: 50%;
        }
    }

    @media screen and (max-width:600px){
        .column{
            flex: 100%;
            max-width: 100%;
        }
    }

</style>
<body>
    <div class="heading">
        <h1>IMAGES</h1>
        <h2>Adjust the window size.</h2>
    </div>
<div class="row">
    <div class="column">
        <img src="one.jpeg" style="width:100%">
        <img src="two.jpeg" style="width:100%">
        <img src="tweleve.jpeg" style="width:100%">
        <img src="seven.jpeg" style="width:100%">
    </div>
    <div class="column">
        <img src="five.jpeg" style="width:100%">
        <img src="six.jpeg" style="width:100%">
        <img src="ten.jpeg" style="width:100%">
        <img src="eight.jpeg" style="width:100%">
    </div>
    <div class="column">
        <img src="nine.jpeg" style="width:100%">
        <img src="four.jpeg" style="width:100%">
        <img src="eleven.jpeg" style="width:100%">
        <img src="three.jpeg" style="width:100%">
        <img src="seventeen.jpeg" style="width:100%">
        <img src="eighteen.jpeg" style="width:100%">
        
    </div>
    <div class="column">
        <img src="thirteen.jpeg" style="width:100%">
        <img src="fourteen.jpeg" style="width:100%">
        <img src="fifteen.jpeg" style="width:100%">
        <img src="sixteen.jpeg" style="width:100%">
    </div>
</div>

    
</body>
</html>